%define pre rc2

Name: creox
Version: 0.2.2
Release: alt0.7%pre

Summary: The Realtime Sound Effector
License: GPL
Group: Sound
Url: http://www.uid0.sk/zyzstar/projects/?creox

Source: %url/download/%name-%version%pre.tar.bz2

%define jack_ver 0.90.0

Requires: jackd >= %jack_ver

BuildPreReq: menu-devel

# Automatically added by buildreq on Thu Apr 15 2004
BuildRequires: XFree86-devel-static XFree86-libs fontconfig freetype2 gcc-c++ glib2 jackit-devel kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel pkgconfig qt3-designer xml-utils zlib-devel

%description
Creox is a real-time sound processor. You can plug your electric guitar
or any other musical instrument directly to the PC's sound card and
start experimenting with various sound effects. Creox has a nice
user-friendly GUI, a preset support, a low-latency DSP engine and each
effect parameter can be altered "on the fly".

%define qtdir %_libdir/qt3
%define kdedir %(kde-config --prefix)

%prep
%setup -q -n %name-%version%pre
%__subst 's,\.la\>,.so,' configure* admin/acinclude.m4*
%__subst 's,\([[:blank:]]automake.*|.*\)),\1 | automake*1.8* ),' admin/cvs.sh

%build
export KDEDIR=%kdedir
%make -f admin/Makefile.common
%configure \
	--disable-rpath \
	--with-qt-dir=%qtdir

%make_build

%install
%make_install DESTDIR=%buildroot install

# menu
%__mkdir_p %buildroot/%_menudir
freedesktop2menu.pl %name "Multimedia/Sound" \
    %buildroot/%_datadir/applnk/Applications/%name.desktop \
    %buildroot/%_menudir/%name

%__cp %buildroot/%_iconsdir/hicolor/16x16/apps/%name.png %buildroot/%_iconsdir

%find_lang %name

%post
%update_menus
%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applnk/*/*.desktop
%_datadir/apps/%name
%_iconsdir/*.png
%_iconsdir/*/*/*/*.png
%_menudir/*
%doc %_docdir/HTML/*/%name
%doc AUTHORS ChangeLog README TODO

%changelog
* Thu Apr 15 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.2.2-alt0.7rc2
- fixed build.

* Thu Dec 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.2-alt0.6rc2
- 0.2.2pre2

* Mon Sep 08 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt0.6
- updated buildreqs.

* Sun Apr 06 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt0.5
- First build for Sisyphus.

